Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4340 - errno.h file corrupted
Summary: errno.h file corrupted
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libg++
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-03 23:43 UTC by wcheng
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-18 18:00:41 UTC


Attachments (Terms of Use)

Description wcheng 1999-08-03 23:43:09 UTC
Hi there,

When I have both Red Hat Linux/Intel 5.2 and 6.0 installed on
different machine, I noticed
that the file /usr/include/sys/errno.h is corrupted. It contains
only one line inside:
#include <errno.h>.

errno.h should include all the error numbers and its definition.

Wayne

Comment 1 rodrigob 1999-08-18 13:00:59 UTC
As far as I can tell, there is nothing wrong with it. sys/errno.h
includes errno.h, that includes bits/errno.h, which in turn includes
linux/errno.h ... Okey, it's a mess, but you get what you need.
Looks:
/usr/include/sys/errno.h includes
/usr/include/errno.h which includes
/usr/include/bits/errno.h which includes
/usr/include/linux/errno.h which contains the error code numbers.
Best regards.

Comment 2 Preston Brown 1999-08-18 18:00:59 UTC
The second person's response is correct.


Note You need to log in before you can comment on or make changes to this bug.